
Redmine - Defect #8096

Wrong plural form selection for russian localization.

2011-04-07 12:30 - Алексей Лошкарёв

Status: Closed Start date: 2011-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.1

Description

Plural form translated in ru.yml correct, but wrong form selected.

Detected for version 1.1.1+, in my local installation and on redmine.org.

Related issues:

Is duplicate of Redmine - Patch #12645: Russian numeric translation Closed

History

#1 - 2011-04-07 14:32 - Etienne Massip

Could you give some examples, please ?

#2 - 2011-04-07 15:57 - Алексей Лошкарёв

- File 8096_Example.png added

It's seems what for russian language used plural formula for english.

#3 - 2011-04-07 17:43 - Алексей Лошкарёв

for number "1" used plural form "one"

for other numbers used plural form "other"

but russian language have four forms

one,few,many,other

#4 - 2011-11-23 09:41 - Sergei Danilov

+1

What happens with Patch #1635? ru.yml in trunk no longer contains gloc plural rules from #1635.

So how Redmine pluralize russian words?

#5 - 2012-10-03 12:35 - Алексей Лошкарёв

I am use solution from

http://stackoverflow.com/questions/6166064/i18n-pluralization

It's work fine for me

Can You include this in next release.

#6 - 2013-06-11 01:18 - Filou Centrinov

- Is duplicate of Patch #12645: Russian numeric translation added

#7 - 2013-06-11 01:20 - Filou Centrinov

- Category changed from I18n to Translations

- Status changed from New to Closed

- Resolution set to Fixed

Duplicate with #12645.
#8 - 2013-06-11 12:21 - Toshi MARUYAMA

- Resolution changed from Fixed to Duplicate
